#!/bin/bash

echo 'Enter TopSpin Home directory (ie /opt/topspinX.X.X):'

read tshome

if [ ! -d $tshome ] 
then
    echo "Directory DOES NOT exist."
    echo "Exiting" 
    exit 9999 
fi


cp lib.prop $tshome/classes/prop/flowbars
cp lib.prop $tshome/classes/prop/English/flowbars/lib_txt.prop
cp ./py/gui.py $tshome/exp/stan/nmr/py/user
cp ./py/help_relaxlib.py $tshome/exp/stan/nmr/py/user
cp RelaxLib_Manual.pdf $tshome/prog/docu/english/xwinproc/pdf
cp ./py/cpmg.py $tshome/exp/stan/nmr/py/user
cp -r ./par/* $tshome/exp/stan/nmr/par/user
cp ./pp/* $tshome/exp/stan/nmr/lists/pp/user

manuals=$'000=$T=RelaxLib
001=h RelaxLib_manual $ relax lib  $ Manual for Theos Library
002=web http://192.168.1.126:8001/LeedsBioNmrWiki/index.php?n=Main.HomePage $ Wiki $ Leeds BioNMR wiki page' 

echo "$manuals">>$tshome/classes/prop/English/docslist.prop


echo 'Installation complete'
echo 'Add new flowbar'
